/**
 * Copyright (c) 2008 A.G.Docherty. All Rights Reserved.
 */
package uk.co.keang.swingaddons;

import java.awt.Component;

import uk.co.keang.swingaddons.Gesture.Direction;

/**
 * A Listener for Gesture events
 * 
 * @author A.G.Docherty
 * @date 18 Dec 2008
 *
 */
public interface IGestureListener
{

/**
 * Called when a gesture has been recognised and completed
 * 
 * @param g - an ordered list of individual gestures that make up the compound gesture
 * @param src - the source component
 */
public void gestureRecognised(Direction[] g, Component src);

}
